<?php
/*
Plugin Name: DoYouFeed
Plugin URI: http://www.doyoufeed.com/us/tools.php
Description: This plugin propose an iPhone and iPod touch optimized version of your blog. Your visitor can choose between your blog design or an iPhone version.
Version: 1.0
Author: Stephane Megy / DoYouFeed.com
Author URI: http://www.doyoufeed.com/
*/

/* Copyright 2008 DoYouFeed.com (email : webmaster@doyoufeed.com) */

define("DIF_ROOT", "http://www.doyoufeed.com/");
define("DIF_VERSION", "1.0");

function dyf_footer() {
	echo "<script type=\"text/javascript\" language=\"JavaScript\">\n";
	
	// directly with the feed url
	if (get_option('dyf_rss') != "") {
		echo "var rss='".get_option('dyf_rss')."';\n";
	}
	else {
		echo "var url='"."http://".$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI']."';\n";
	}
	
	// optional title
	if (get_option('dyf_title') != "") {
		echo "var title='".get_option('dyf_title')."';\n";
	}

	// optional question text
	if (get_option('dyf_question') != "") {
		echo "var question='".get_option('dyf_question')."';\n";
	}

	// optional serial number
	if (get_option('dyf_sn') != "") {
		echo "var sn='".get_option('dyf_sn')."';\n";
	}
		
	echo "var lang='auto';\n";
	echo "var shortcut=".(get_option('dyf_shortcut') ? "true" : "false").";\n";
	echo "var theme='".get_option('dyf_theme')."';\n";
	echo "var share=".(get_option('dyf_share') ? "true" : "false").";\n";
	echo "</script>\n";
	echo "<script type=\"text/javascript\" language=\"JavaScript\" src=\"".DIF_ROOT."php/load.php?js=extern.js\"></script>\n";
}

function dyf_admin() {
	if (function_exists('add_submenu_page')) {
		add_options_page('DoYouFeed Setup', 'DoYouFeed', 10, basename(__FILE__), 'dyf_admin_page');
	}
}

function dyf_admin_page() {
	
	if (isset($_POST['dyf_options_submit'])) {
		update_option('dyf_alternatebaseurl', $_POST['dyf_alternatebaseurl']);
		update_option('dyf_title', $_POST['dyf_title']);
		update_option('dyf_question', $_POST['dyf_question']);
		update_option('dyf_theme', $_POST['dyf_theme']);
		update_option('dyf_shortcut', isset($_POST['dyf_shortcut']));
		update_option('dyf_share', isset($_POST['dyf_share']));
		update_option('dyf_sn', $_POST['dyf_sn']);

		echo '<div id="message" class="updated fade"><p><strong>';
		_e('Options saved.');
		echo '</strong></p></div>';
	}

	$altbaseurl = get_option('dyf_alternatebaseurl');
	$title = get_option('dyf_title');
	$theme = get_option('dyf_theme');
	$question = get_option('dyf_question');
	$sn = get_option('dyf_sn');
	$shortcut = get_option('dyf_shortcut')? "checked=\"checked\"" : "";
	$share = get_option('dyf_share') ? "checked=\"checked\"" : "";
	if ($altbaseurl === false) {
		$altbaseurl = '';
    }

	// theme menu
	$json = @file_get_contents(DIF_ROOT."tmp/misc/SocPlugin.json");
	$data = @json_decode($json, TRUE);
	$select = "<select type=\"text\" name=\"dyf_theme\" value=\"\">";
	foreach($data["themes"] as $l_sFile => $l_sName) {
		$selected = ($l_sFile == $theme) ? "selected=\"selected\"" : "";
		$select .= "<option $selected value=\"$l_sFile\">".$l_sName."</option>";
	}
	$select .= "</select>";

?>
	<div class="wrap">
	<h2>DoYouFeed Settings</h2>

	<form name="dyf_options_form" action="<?php echo $_SERVER['PHP_SELF'] . '?page=' . basename(__FILE__); ?>" method="post">
	<ul style="width:75%">
	
		<?php 
			// get current version
			$json = @file_get_contents(DIF_ROOT."tmp/misc/SocPlugin.json");
			$data = @json_decode($json, TRUE);
			$plugin_version = $data["wp_plugin_version"];

			if ((float)DIF_VERSION < (float)$plugin_version) { 
		?>
			<div id='dyf-update' class='updated fade'><p><strong>A new version of DoYouFeed plugin is available.</strong> <a href="<?php echo DIF_ROOT."php/doyoufeed-wordpress-plugin.php.zip";?>">Download DoYouFeed <?php echo $plugin_version; ?></a>.</p></div><br />

		<?php } ?>
		
	<li>This plugin is configuration free.  It will just work once the plugin it is activated.  However, it is possible to change some settings. You can visit <a href="http://www.doyoufeed.com" target="_new">DoYouFeed.com</a> to get further informations and play with the above settings.</li>
    <li><strong>Theme</strong>: <?php echo $select;?><br />Layout of the iPhone friendly site. These themes are different from the WordPress themes, they are DoYouFeed themes.
	<li><strong>Question</strong>: <input size="40" type="text" name="dyf_question" value="<?php echo $question;?>" /> (optional)<br />This is the question that will be asked to your visitor coming from an iPhone/iPod.
    <li><strong><input name="dyf_share" type="checkbox"<?php echo $share;?> /> Show sharing links</strong> <br />Add a set of links on the news pages (Digg, FaceBook, Twitter, Email...).
    <li><strong><input name="dyf_shortcut" type="checkbox"<?php echo $shortcut;?> /> Show shortcuts</strong> <br />Add a popup menu to easily navigate from news to news.
	<li><strong>Title</strong>: <input type="text" name="dyf_title" value="<?php echo $title;?>" /> (optional)<br />Title of the iPhone friendly site. If not given the title of the feed is used.
    <li><strong>RSS Feed Url</strong>: <input size="30" type="text" name="dyf_alternatebaseurl" value="<?php echo $altbaseurl;?>" /> (optional)<br />
    DoYouFeed uses your site's RSS feed to get the content from your posts. DoYouFeed finds the RSS feed automatically, but if you need it to use a different url enter one here.</li>
	<li><strong>Serial number</strong>: <input type="text" name="dyf_sn" value="<?php echo $sn;?>" /> (optional)<br />Not yet used.
	</ul>
	<p class="submit"><input type="submit" name="dyf_options_submit" class="button" value="Save Changes" /></p>
	</form>
<?php
}

add_action('admin_menu', 'dyf_admin');
add_action('wp_footer', 'dyf_footer');
?>
